httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Kew <n...@webthing.com>
Subject Re: [users@httpd] Upgrade 2.0 to 2.2 on Gentoo - apache won't start...
Date Mon, 24 Sep 2007 00:40:33 GMT
On Sun, 23 Sep 2007 19:59:55 -0400
Charles Marcus <CMarcus@Media-Brokers.com> wrote:

> Hello,
> 
> I'm in a bit of a bind... the consultant I normally use is
> unavailable, and I did something dumb... I upgraded apache from
> 2.0.58 to 2.2.6 without him being available, and now it won't start...

Upgrading to 2.0.60 should be trivial, but 2.0 -> 2.2 is likely
to require (minor) configuration changes.

If the error log + TFM doesn't help, reinstall 2.0 until your consultant
returns.  The upgrade might be ten minutes or an hours work for your
consultant, but anyone else has a much bigger job familiarising
themselves with your needs.

> [Sun Sep 23 19:45:50 2007] [warn] NameVirtualHost m.y.i.p:443 has no 
> VirtualHosts

You don't want NameVirtualHost with https.  But that's just a warning.

> I only want SSL (443) running, and want any requests to port 80 
> redirected to 443. I do remember seeing something about SSL being 
> started a bit differently...

Then just don't listen on port 80 at all.  Links to your site
should refer to https://your.domain/, not http://your.domain/.

-- 
Nick Kew

Application Development with Apache - the Apache Modules Book
http://www.apachetutor.org/

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message